【活用ガイド】

[English]

JVNDB-2015-000187

Apache Cordova におけるアクセス制限不備の脆弱性

概要

Apache Software Foundation が提供する Apache Cordova は、様々なプラットフォーム向けにモバイルアプリケーションを作成するためのフレームワークです。
Apache Cordova を使って開発された Android アプリケーションには、ホワイトリストのアクセス制限が正しく適用されない脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: ソニーデジタルネットワークアプリケーションズ株式会社 西村 宗晃 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Apache Software Foundation
  • Apache Cordova Android 3.7.2 およびそれ以前のバージョン

想定される影響

ユーザが細工された URL にアクセスする事でホワイトリストによるアクセス制限を回避される可能性があります。
対策

[Apache Cordova をアップデートし、Android 向けのアプリケーションをリビルドする]
Android 向けのアプリケーションを開発している場合、Apache Cordova をアップデートし、Android 向けのアプリケーションをリビルドしてください。
ベンダ情報

Apache Software Foundation
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 認可・権限・アクセス制御(CWE-264) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-5256
参考情報

  1. JVN : JVN#18889193
更新履歴

[2015年11月27日]
  掲載